Open CASCADE Technology 7.8.2.dev
Blend_Point Class Reference

#include <Blend_Point.hxx>

Public Member Functions

 Blend_Point ()
 
 Blend_Point (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const gp_Vec &Tg1, const gp_Vec &Tg2, const gp_Vec2d &Tg12d, const gp_Vec2d &Tg22d)
 Creates a point on 2 surfaces, with tangents.
 
 Blend_Point (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2)
 Creates a point on 2 surfaces, without tangents.
 
 Blend_Point (const gp_Pnt &Pts, const gp_Pnt &Ptc, const Standard_Real Param, const Standard_Real U, const Standard_Real V, const Standard_Real W, const gp_Vec &Tgs, const gp_Vec &Tgc, const gp_Vec2d &Tg2d)
 Creates a point on a surface and a curve, with tangents.
 
 Blend_Point (const gp_Pnt &Pts, const gp_Pnt &Ptc, const Standard_Real Param, const Standard_Real U, const Standard_Real V, const Standard_Real W)
 Creates a point on a surface and a curve, without tangents.
 
 Blend_Point (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC, const gp_Vec &Tg1, const gp_Vec &Tg2, const gp_Vec2d &Tg12d, const gp_Vec2d &Tg22d)
 Creates a point on a surface and a curve on surface, with tangents.
 
 Blend_Point (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC)
 Creates a point on a surface and a curve on surface, without tangents.
 
 Blend_Point (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC1, const Standard_Real PC2, const gp_Vec &Tg1, const gp_Vec &Tg2, const gp_Vec2d &Tg12d, const gp_Vec2d &Tg22d)
 Creates a point on two curves on surfaces, with tangents.
 
 Blend_Point (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC1, const Standard_Real PC2)
 Creates a point on two curves on surfaces, with tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const gp_Vec &Tg1, const gp_Vec &Tg2, const gp_Vec2d &Tg12d, const gp_Vec2d &Tg22d)
 Set the values for a point on 2 surfaces, with tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2)
 Set the values for a point on 2 surfaces, without tangents.
 
void SetValue (const gp_Pnt &Pts, const gp_Pnt &Ptc, const Standard_Real Param, const Standard_Real U, const Standard_Real V, const Standard_Real W, const gp_Vec &Tgs, const gp_Vec &Tgc, const gp_Vec2d &Tg2d)
 Set the values for a point on a surface and a curve, with tangents.
 
void SetValue (const gp_Pnt &Pts, const gp_Pnt &Ptc, const Standard_Real Param, const Standard_Real U, const Standard_Real V, const Standard_Real W)
 Set the values for a point on a surface and a curve, without tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC, const gp_Vec &Tg1, const gp_Vec &Tg2, const gp_Vec2d &Tg12d, const gp_Vec2d &Tg22d)
 Creates a point on a surface and a curve on surface, with tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC)
 Creates a point on a surface and a curve on surface, without tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC1, const Standard_Real PC2, const gp_Vec &Tg1, const gp_Vec &Tg2, const gp_Vec2d &Tg12d, const gp_Vec2d &Tg22d)
 Creates a point on two curves on surfaces, with tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real U1, const Standard_Real V1, const Standard_Real U2, const Standard_Real V2, const Standard_Real PC1, const Standard_Real PC2)
 Creates a point on two curves on surfaces, without tangents.
 
void SetValue (const gp_Pnt &Pt1, const gp_Pnt &Pt2, const Standard_Real Param, const Standard_Real PC1, const Standard_Real PC2)
 Creates a point on two curves.
 
void SetParameter (const Standard_Real Param)
 Changes parameter on existing point.
 
Standard_Real Parameter () const
 
Standard_Boolean IsTangencyPoint () const
 Returns Standard_True if it was not possible to compute the tangent vectors at PointOnS1 and/or PointOnS2.
 
const gp_PntPointOnS1 () const
 
const gp_PntPointOnS2 () const
 
void ParametersOnS1 (Standard_Real &U, Standard_Real &V) const
 
void ParametersOnS2 (Standard_Real &U, Standard_Real &V) const
 
const gp_VecTangentOnS1 () const
 
const gp_VecTangentOnS2 () const
 
gp_Vec2d Tangent2dOnS1 () const
 
gp_Vec2d Tangent2dOnS2 () const
 
const gp_PntPointOnS () const
 
const gp_PntPointOnC () const
 
void ParametersOnS (Standard_Real &U, Standard_Real &V) const
 
Standard_Real ParameterOnC () const
 
const gp_VecTangentOnS () const
 
const gp_VecTangentOnC () const
 
gp_Vec2d Tangent2d () const
 
const gp_PntPointOnC1 () const
 
const gp_PntPointOnC2 () const
 
Standard_Real ParameterOnC1 () const
 
Standard_Real ParameterOnC2 () const
 
const gp_VecTangentOnC1 () const
 
const gp_VecTangentOnC2 () const
 

Constructor & Destructor Documentation

◆ Blend_Point() [1/9]

Blend_Point::Blend_Point ( )

◆ Blend_Point() [2/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const gp_Vec & Tg1,
const gp_Vec & Tg2,
const gp_Vec2d & Tg12d,
const gp_Vec2d & Tg22d )

Creates a point on 2 surfaces, with tangents.

◆ Blend_Point() [3/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2 )

Creates a point on 2 surfaces, without tangents.

◆ Blend_Point() [4/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pts,
const gp_Pnt & Ptc,
const Standard_Real Param,
const Standard_Real U,
const Standard_Real V,
const Standard_Real W,
const gp_Vec & Tgs,
const gp_Vec & Tgc,
const gp_Vec2d & Tg2d )

Creates a point on a surface and a curve, with tangents.

◆ Blend_Point() [5/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pts,
const gp_Pnt & Ptc,
const Standard_Real Param,
const Standard_Real U,
const Standard_Real V,
const Standard_Real W )

Creates a point on a surface and a curve, without tangents.

◆ Blend_Point() [6/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC,
const gp_Vec & Tg1,
const gp_Vec & Tg2,
const gp_Vec2d & Tg12d,
const gp_Vec2d & Tg22d )

Creates a point on a surface and a curve on surface, with tangents.

◆ Blend_Point() [7/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC )

Creates a point on a surface and a curve on surface, without tangents.

◆ Blend_Point() [8/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC1,
const Standard_Real PC2,
const gp_Vec & Tg1,
const gp_Vec & Tg2,
const gp_Vec2d & Tg12d,
const gp_Vec2d & Tg22d )

Creates a point on two curves on surfaces, with tangents.

◆ Blend_Point() [9/9]

Blend_Point::Blend_Point ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC1,
const Standard_Real PC2 )

Creates a point on two curves on surfaces, with tangents.

Member Function Documentation

◆ IsTangencyPoint()

Standard_Boolean Blend_Point::IsTangencyPoint ( ) const

Returns Standard_True if it was not possible to compute the tangent vectors at PointOnS1 and/or PointOnS2.

◆ Parameter()

Standard_Real Blend_Point::Parameter ( ) const

◆ ParameterOnC()

Standard_Real Blend_Point::ParameterOnC ( ) const

◆ ParameterOnC1()

Standard_Real Blend_Point::ParameterOnC1 ( ) const

◆ ParameterOnC2()

Standard_Real Blend_Point::ParameterOnC2 ( ) const

◆ ParametersOnS()

void Blend_Point::ParametersOnS ( Standard_Real & U,
Standard_Real & V ) const

◆ ParametersOnS1()

void Blend_Point::ParametersOnS1 ( Standard_Real & U,
Standard_Real & V ) const

◆ ParametersOnS2()

void Blend_Point::ParametersOnS2 ( Standard_Real & U,
Standard_Real & V ) const

◆ PointOnC()

const gp_Pnt & Blend_Point::PointOnC ( ) const

◆ PointOnC1()

const gp_Pnt & Blend_Point::PointOnC1 ( ) const

◆ PointOnC2()

const gp_Pnt & Blend_Point::PointOnC2 ( ) const

◆ PointOnS()

const gp_Pnt & Blend_Point::PointOnS ( ) const

◆ PointOnS1()

const gp_Pnt & Blend_Point::PointOnS1 ( ) const

◆ PointOnS2()

const gp_Pnt & Blend_Point::PointOnS2 ( ) const

◆ SetParameter()

void Blend_Point::SetParameter ( const Standard_Real Param)

Changes parameter on existing point.

◆ SetValue() [1/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real PC1,
const Standard_Real PC2 )

Creates a point on two curves.

◆ SetValue() [2/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2 )

Set the values for a point on 2 surfaces, without tangents.

◆ SetValue() [3/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const gp_Vec & Tg1,
const gp_Vec & Tg2,
const gp_Vec2d & Tg12d,
const gp_Vec2d & Tg22d )

Set the values for a point on 2 surfaces, with tangents.

◆ SetValue() [4/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC )

Creates a point on a surface and a curve on surface, without tangents.

◆ SetValue() [5/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC,
const gp_Vec & Tg1,
const gp_Vec & Tg2,
const gp_Vec2d & Tg12d,
const gp_Vec2d & Tg22d )

Creates a point on a surface and a curve on surface, with tangents.

◆ SetValue() [6/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC1,
const Standard_Real PC2 )

Creates a point on two curves on surfaces, without tangents.

◆ SetValue() [7/9]

void Blend_Point::SetValue ( const gp_Pnt & Pt1,
const gp_Pnt & Pt2,
const Standard_Real Param,
const Standard_Real U1,
const Standard_Real V1,
const Standard_Real U2,
const Standard_Real V2,
const Standard_Real PC1,
const Standard_Real PC2,
const gp_Vec & Tg1,
const gp_Vec & Tg2,
const gp_Vec2d & Tg12d,
const gp_Vec2d & Tg22d )

Creates a point on two curves on surfaces, with tangents.

◆ SetValue() [8/9]

void Blend_Point::SetValue ( const gp_Pnt & Pts,
const gp_Pnt & Ptc,
const Standard_Real Param,
const Standard_Real U,
const Standard_Real V,
const Standard_Real W )

Set the values for a point on a surface and a curve, without tangents.

◆ SetValue() [9/9]

void Blend_Point::SetValue ( const gp_Pnt & Pts,
const gp_Pnt & Ptc,
const Standard_Real Param,
const Standard_Real U,
const Standard_Real V,
const Standard_Real W,
const gp_Vec & Tgs,
const gp_Vec & Tgc,
const gp_Vec2d & Tg2d )

Set the values for a point on a surface and a curve, with tangents.

◆ Tangent2d()

gp_Vec2d Blend_Point::Tangent2d ( ) const

◆ Tangent2dOnS1()

gp_Vec2d Blend_Point::Tangent2dOnS1 ( ) const

◆ Tangent2dOnS2()

gp_Vec2d Blend_Point::Tangent2dOnS2 ( ) const

◆ TangentOnC()

const gp_Vec & Blend_Point::TangentOnC ( ) const

◆ TangentOnC1()

const gp_Vec & Blend_Point::TangentOnC1 ( ) const

◆ TangentOnC2()

const gp_Vec & Blend_Point::TangentOnC2 ( ) const

◆ TangentOnS()

const gp_Vec & Blend_Point::TangentOnS ( ) const

◆ TangentOnS1()

const gp_Vec & Blend_Point::TangentOnS1 ( ) const

◆ TangentOnS2()

const gp_Vec & Blend_Point::TangentOnS2 ( ) const

The documentation for this class was generated from the following file: